%define anolis_release 2

%global pypi_name maxminddb
%global desc \
This is a Python module for reading MaxMind DB files.  The module includes both\
a pure Python reader and an optional C extension. MaxMind DB is a binary file\
format that stores data indexed by IP address subnets (IPv4 or IPv6).

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Reader for the MaxMind DB format

License:        ASL 2.0
URL:            https://www.maxmind.com/
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  libmaxminddb-devel
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description %{desc}

%package -n python3-%{pypi_name}-doc
Summary:        Documentation for %{pypi_name}
Buildarch:      noarch

%description -n python3-%{pypi_name}-doc
This package provides the documentation for %{pypi_name}.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{desc}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Mocket is not available in Fedora
sed -i "/mocket/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires -r -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name}-doc
%doc docs/* README.rst

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%changelog
* Tue Mar 26 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.2.0-2
- Rebuild with python3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 2.2.0-1
- Import package for anolis 23
